# ReadOnlyFunctionOptions | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

Read only function options

param

  the c32check address of the contract

param

  the contract name

param

  name of the function to be called

param

  an array of Clarity values as arguments to the function call

param

  the Stacks blockchain network this transaction is destined for

param

  the c32check address of the sender

### Hierarchy

- ReadOnlyFunctionOptions

## Index

### Properties

- contractAddress
- contractName
- functionArgs
- functionName
- network
- senderAddress

## Properties

### contractAddress

contractAddress: string

- Defined in packages/transactions/src/builders.ts:1007

### contractName

contractName: string

- Defined in packages/transactions/src/builders.ts:1006

### functionArgs

functionArgs: ClarityValue []

- Defined in packages/transactions/src/builders.ts:1009

### functionName

functionName: string

- Defined in packages/transactions/src/builders.ts:1008

### Optional network

network: StacksNetwork

- Defined in packages/transactions/src/builders.ts:1011

the network that the contract which contains the function is deployed to

### senderAddress

senderAddress: string

- Defined in packages/transactions/src/builders.ts:1013

address of the sender

Generated using TypeDoc